@import 'dana';
@import 'icons';
@import 'dana';
@import 'icons';
@import 'buttons';
@import 'inputs';

a {
    text-decoration: none;
}

.ltr {
    direction: ltr;
}

.grey-filter {
    filter: grayscale(100%);
}


/************ font *****************************************************************************************************/

.font-weight-bold {
    font-weight: bold !important;
}

.font-weight-500 {
    font-weight: 500 !important;
}

.font-weight-normal {
    font-weight: normal !important;
}

/************ position *************************************************************************************************/

.p-relative {
    position: relative !important;
}

.p-absolute {
    position: absolute !important;
}

.p-fixed {
    position: fixed !important;
}

/************ line clamp ***********************************************************************************************/

.line-clamp {
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    position: relative;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 !important;
}

.line-clamp:after {
    content: '...';
    text-align: right;
    bottom: 0;
    right: 0;
    width: 25%;
    display: block;
    position: absolute;
    height: calc(1em * 1.2);
    background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) 75%);
}

@supports (-webkit-line-clamp: 1) {
    .line-clamp:after {
        display: none !important;
    }
}

.line-clamp-1 {
    -webkit-line-clamp: 1;
    height: calc(1em * 1.2 * 1);
}

.line-clamp-2 {
    -webkit-line-clamp: 2;
    height: calc(1em * 1.2 * 2);
}

.line-clamp-3 {
    -webkit-line-clamp: 3;
    height: calc(1em * 1.2 * 3);
}

.line-clamp-4 {
    -webkit-line-clamp: 4;
    height: calc(1em * 1.2 * 4);
}

.line-clamp-5 {
    -webkit-line-clamp: 5;
    height: calc(1em * 1.2 * 5);
}

/************ responsive helpers ***************************************************************************************/

@media #{map-get($display-breakpoints, 'md-and-up')} {
    .desktop-d-block {
        display: block !important;
    }

    .desktop-d-inline-block {
        display: inline-block !important;
    }

    .desktop-d-flex {
        display: flex !important;
    }

    .desktop-d-none {
        display: none !important;
    }
}

@media #{map-get($display-breakpoints, 'sm-and-down')} {
    .mobile-d-block {
        display: block !important;
    }

    .mobile-d-inline-block {
        display: inline-block !important;
    }

    .mobile-d-flex {
        display: flex !important;
    }

    .mobile-d-none {
        display: none !important;
    }
}

/************ opacity **************************************************************************************************/

.opacity-0 {
    opacity: 0;
}

.opacity-20 {
    opacity: 0.2;
}

.opacity-50 {
    opacity: 0.5;
}

.opacity-80 {
    opacity: 0.8;
}

.opacity-100 {
    opacity: 1;
}

/************ width / height *******************************************************************************************/

.w-75 {
    width: 75%;
}

.w-100 {
    width: 100%;
}

.min-h-100 {
    min-height: var(--100vh);
}

.min-h-100-percent {
    min-height: 100%;
}

.min-h-auto {
    min-height: auto !important;
}

/************ cursors **************************************************************************************************/

.cursor-pointer {
    cursor: pointer;
}

/************ placeholder **********************************************************************************************/

*:focus { outline: none; }

::-webkit-input-placeholder {
    color: var(--v-secondary-base);
    font-weight: 500;
}

::-moz-placeholder {
    color: var(--v-secondary-base);
    font-weight: 500;
}

:-ms-input-placeholder {
    color: var(--v-secondary-base);
    font-weight: 500;
}

:-moz-placeholder {
    color: var(--v-secondary-base);
    font-weight: 500;
}
